curl --request PATCH \
--url https://api.messaging.phonovation.com/people/3/lists/{listName} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"__id": "78f47a5a-b9c4-4802-8bed-e81cf5fde0b4",
"item_field_#1": "new value",
"item_field_#2": null
},
{
"__id": "b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f",
"item_field_#1": "new value",
"item_field_#2": 42
}
]
'import requests
url = "https://api.messaging.phonovation.com/people/3/lists/{listName}"
payload = [
{
"__id": "78f47a5a-b9c4-4802-8bed-e81cf5fde0b4",
"item_field_#1": "new value",
"item_field_#2": None
},
{
"__id": "b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f",
"item_field_#1": "new value",
"item_field_#2": 42
}
]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/people/3/lists/{listName}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("[\n {\n \"__id\": \"78f47a5a-b9c4-4802-8bed-e81cf5fde0b4\",\n \"item_field_#1\": \"new value\",\n \"item_field_#2\": null\n },\n {\n \"__id\": \"b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f\",\n \"item_field_#1\": \"new value\",\n \"item_field_#2\": 42\n }\n]", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://api.messaging.phonovation.com/people/3/lists/{listName}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"__id\": \"78f47a5a-b9c4-4802-8bed-e81cf5fde0b4\",\n \"item_field_#1\": \"new value\",\n \"item_field_#2\": null\n },\n {\n \"__id\": \"b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f\",\n \"item_field_#1\": \"new value\",\n \"item_field_#2\": 42\n }\n]")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/people/3/lists/{listName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
[
'__id' => '78f47a5a-b9c4-4802-8bed-e81cf5fde0b4',
'item_field_#1' => 'new value',
'item_field_#2' => null
],
[
'__id' => 'b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f',
'item_field_#1' => 'new value',
'item_field_#2' => 42
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
__id: '78f47a5a-b9c4-4802-8bed-e81cf5fde0b4',
'item_field_#1': 'new value',
'item_field_#2': null
},
{
__id: 'b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f',
'item_field_#1': 'new value',
'item_field_#2': 42
}
])
};
fetch('https://api.messaging.phonovation.com/people/3/lists/{listName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"__id": "78f47a5a-b9c4-4802-8bed-e81cf5fde0b4",
"item_field_#1": "new value",
"item_field_#3": "old value"
},
{
"__id": "b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f",
"item_field_#1": "new value",
"item_field_#2": 42,
"item_field_#3": "old value"
}
]Update a list
Updates the fields of list items passed in the request. Missing items and fields will keep their values. Returns all items of the updated list.
Required scope: Enable one of: people:manage.
curl --request PATCH \
--url https://api.messaging.phonovation.com/people/3/lists/{listName} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"__id": "78f47a5a-b9c4-4802-8bed-e81cf5fde0b4",
"item_field_#1": "new value",
"item_field_#2": null
},
{
"__id": "b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f",
"item_field_#1": "new value",
"item_field_#2": 42
}
]
'import requests
url = "https://api.messaging.phonovation.com/people/3/lists/{listName}"
payload = [
{
"__id": "78f47a5a-b9c4-4802-8bed-e81cf5fde0b4",
"item_field_#1": "new value",
"item_field_#2": None
},
{
"__id": "b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f",
"item_field_#1": "new value",
"item_field_#2": 42
}
]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/people/3/lists/{listName}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("[\n {\n \"__id\": \"78f47a5a-b9c4-4802-8bed-e81cf5fde0b4\",\n \"item_field_#1\": \"new value\",\n \"item_field_#2\": null\n },\n {\n \"__id\": \"b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f\",\n \"item_field_#1\": \"new value\",\n \"item_field_#2\": 42\n }\n]", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://api.messaging.phonovation.com/people/3/lists/{listName}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"__id\": \"78f47a5a-b9c4-4802-8bed-e81cf5fde0b4\",\n \"item_field_#1\": \"new value\",\n \"item_field_#2\": null\n },\n {\n \"__id\": \"b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f\",\n \"item_field_#1\": \"new value\",\n \"item_field_#2\": 42\n }\n]")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/people/3/lists/{listName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
[
'__id' => '78f47a5a-b9c4-4802-8bed-e81cf5fde0b4',
'item_field_#1' => 'new value',
'item_field_#2' => null
],
[
'__id' => 'b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f',
'item_field_#1' => 'new value',
'item_field_#2' => 42
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
__id: '78f47a5a-b9c4-4802-8bed-e81cf5fde0b4',
'item_field_#1': 'new value',
'item_field_#2': null
},
{
__id: 'b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f',
'item_field_#1': 'new value',
'item_field_#2': 42
}
])
};
fetch('https://api.messaging.phonovation.com/people/3/lists/{listName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"__id": "78f47a5a-b9c4-4802-8bed-e81cf5fde0b4",
"item_field_#1": "new value",
"item_field_#3": "old value"
},
{
"__id": "b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f",
"item_field_#1": "new value",
"item_field_#2": 42,
"item_field_#3": "old value"
}
]Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Name of the list attribute.
1Query Parameters
Type of the person ID. Can be one of the above.
ID, EXTERNAL_ID, PHONE, EMAIL, LINE, FACEBOOK, TELEGRAM, PUSH, LIVE_CHAT, VIBER_BOTS, INSTAGRAM, INSTAGRAM_DM, TWITTER, APPLE_BUSINESS_CHAT, KAKAO_SANGDAM, OPEN_CHANNEL, ZALO_FOLLOWER, TIKTOK_BM, WHATSAPP, KAKAO_TALK Person ID. ID type must match the type parameter.
1Sender or application ID.sender is required for all identifier types except ID, EXTERNAL_ID, PHONE, EMAIL
Body
Response
Success